# @(#$Id: recoll.conf.in,v 1.22 2008-10-15 08:30:18 dockes Exp $  (C) 2004 J.F.Dockes
#
# Recoll default configuration file. This typically lives in
# @prefix@/share/recoll/examples and provides default values. You can
# override selected parameters by adding assigments to
# ~/.recoll/recoll.conf (or $RECOLL_CONFDIR/recoll.conf)

# Space-separated list of directories to index. Next line indexes $HOME
topdirs = ~

# Wildcard expressions for names of files and directories that we should
# ignore. If you need index mozilla/thunderbird mail folders, don't put
# ".*" in there (as was the case with an older sample config)
# These are simple names, not paths (must contain no / )
skippedNames = #* bin CVS  Cache cache* caughtspam  tmp .thumbnails .svn \
	     *~ recollrc .beagle .git .hg .bzr

# Wildcard expressions for paths we shouldn't go into. The database and
# configuration directories will be added in there, else the default value
# is empty
# skippedPaths = 
# Same for real time indexing. The idea here is that there is stuff that
# you might want to initially index but not monitor. If daemSkippedPaths is
# not set, the daemon uses skippedPaths.
#daemSkippedPaths = 

# Option to follow symbolic links. We normally don't, to avoid duplicated
# indexing (in any case, no effort is made to identify or avoid multiple
# indexing of linked files)
# followLinks = 0

# Debug messages. 3 is errors/warnings only. 4 would be quite verbose.
loglevel = 3
logfilename = stderr

# Specific versions of log file name and level for the indexing daemon. The 
# default is to use the above values.
# daemloglevel = 3
# daemlogfilename = /dev/null

# Languages for which to build stemming databases at the end of
# indexing. Stemmer names can be found on http://www.xapian.org 
# The flag to perform stem expansion at query time is now set from the GUI
indexstemminglanguages = english 

# Default character set. Values found inside files, ie content tag in html
# documents, will override this. It can be specified per directory (see
# below). Used when converting to utf-8 (internal storage format), so it
# may be quite important for pure text files.
# The default used to be set to iso8859-1, but we now take it from the nls 
# environment (LC_ALL/LC_CTYPE/LANG). The ultimate hardwired default is
# still 8859-1. If for some reason you want a general default which doesnt
# match your LANG and is not 8859-1, set it here.
# defaultcharset = iso-8859-1

# Where to store the database (directory). This may be an absolute path,
# else it is taken as relative to the configuration directory (-c argument
# or $RECOLL_CONFDIR). 
# If nothing is specified, the default is then ~/.recoll/xapiandb/
dbdir = xapiandb

# Maximum file system occupation before we stop indexing. The default value
# is 0, meaning no checking. The value is a percentage, corresponding to
# what the "Capacity" df output column shows.
maxfsoccuppc = 0

# Threshold (megabytes of new data) where we flush from memory to disk
# index. Setting this (ie to 10) can help control memory usage. The default
# value of 0 means no explicit flushing, which lets Xapian perform its own
# thing, which is flushing every 10000 documents (memory usage depends on
# average document size).
idxflushmb = 10

# Place to search for executable filters. If RECOLL_FILTERSDIR is set in
# the environement, we use it instead
filtersdir = @prefix@/share/recoll/filters

# Place to search for icons. The only reason to change this would be if you
# want to change the icons displayed in the result list
iconsdir = @prefix@/share/recoll/images

# Guessing charsets usually does not work well
guesscharset = 0

# Should we use the system's 'file -i' command as a final step in file type
# identification ? This may be useful, but will usually cause the
# indexation of many bogus 'text' files
usesystemfilecommand = 1

# Should we index the file names of files with mime types we don't
# know? (we can otherwise just ignore them)
indexallfilenames = 1

# Length of abstracts we store while indexing. Longer will make for a
# bigger db
# idxabsmlen = 250

# Language definitions to use when creating the aspell dictionary. 
# The value must match a set of aspell language definition files. 
# You can type "aspell config"  to see where these are installed.
# The default if this is not set is to use the NLS environment to guess the
# value
# aspellLanguage = en

# Disabling aspell use. The aspell dictionary generation takes some time,
# and some combinations of aspell version, language, and local terms,
# result in aspell dumping core each time. You can disable the aspell
# dictionary generation by setting the following variable:
# noaspell = 1

# You could specify different parameters for a subdirectory like this:
#[~/hungariandocs/plain]
#defaultcharset = iso-8859-2
